Skip to main content
Create Custom Visual

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

save
boolean
default:false

Whether to persist the visual to the gallery. Defaults to false.

Body

application/vnd.composer.v3+json

Defines a Custom Chart Dimensions

sourceId
string
required

Source Id

Minimum string length: 1
visualTypeId
string
required

Visual Type Id

Minimum string length: 1
visualName
string
required

Visual Name. 'visualNamePrefix' is a deprecated alias, will be removed in 26.3

Minimum string length: 1
description
string

Visual Description

tags
string[]

tags

metrics
object[]

Defines an metrics

dimensions
object[]

Defines a group by

timeFilter
object

Defines time filter

filters
object[]

Defines filter

aggregateFilters
object[]

Defines Aggregation Filters

sortAndLimit
object[]

Defines sort order and result limit for each dimension group.

Example:
conditionalFormatting
object[]

Defines conditional formatting rules applied to rows or pivot cells.

Example:
folderId
string

Optional folder ID for organizing the visual within a project.

Example:

1111

Response

The visual was created successfully

Defines a visual payload

visualName
string
required

Defines a visual name

Required string length: 1 - 255
source
object
required

Defines source details

id
string
read-only

Defines a visual identifier

visId
string
deprecated

(deprecated since 7.10, to be removed in 8.x. Use 'visualTypeId' instead) Defines a visual type identifier

visualTypeId
string

Defines a visual type identifier

accountId
string
read-only

Defines an account identifier

description
string

Defines a description

Maximum string length: 750
type
string

Defines a visual type

controlsCfg
object

Defines a controls configuration

interactivityProfile
object

Defines an interactivity profile setting

tags
string[]

Defines tags

creatingUserName
string
read-only

Defines a creator of the visual

level
enum<string>
read-only

Defines a type of visual usage level

Available options:
TOP,
IN_DASHBOARD
createdByUserID
string
read-only

Defines a visual creator's identifier

lastModifiedByUserID
string
read-only

Defines an identifier of the user who has modified the visual last

createdDate
string<date-time>
read-only

Defines a date of creation of the visual

lastModifiedDate
string<date-time>
read-only

Defines a date of the last modification of the visual

originId
string
read-only

Id of the exported visual

projectId
string
read-only

Project ID where this visual is organized. This field is read-only and only.

Example:

2222

folderId
string

Optional folder ID for organizing the visual within a project.

Example:

1111